﻿#language: ru

@drivers_of_electric_car

Функционал: 04_drivers.01.000 Чтение лицензии

Сценарий: 04_drivers.01.000 Установка времени начала блока тестов
	Дано Я подключаюсь под "Администратор"
	И Я устанавливаю время начала блока тестов

Сценарий: 04_drivers.01.000 Проверка недоступности справочника маршрутов
	Дано Я открываю основную форму списка справочника "к2МаршрутыВодителейЭлектрокаров"
	Затем Проверяю шаги на Исключение:
		|'И я нажимаю на кнопку с именем "ФормаСоздать"'|		
	И я закрываю окно "Маршруты водителей электрокаров"

Сценарий: 04_drivers.01.000 Чтение лицензии
	И Я читаю лицензию "Производство_И_Водители_электрокаров.xml"
	И флаг "Анализ продаж доступен" равен 'Нет'
	И флаг "Анализ сервисов предприятия" равен 'Нет'
	И флаг "Маркировка" равен 'Нет'
	И флаг "Мобильное приложение" равен 'Нет'
	И флаг "Закупки" равен 'Нет'
	И флаг "Обработка заказов клиента" равен 'Нет'
	И флаг "Планирование переработки" равен 'Нет'
	И флаг "Планирование продаж" равен 'Нет'
	И флаг "Планирование разруба" равен 'Нет'
	И флаг "Прогнозирование отгрузок" равен 'Нет'
	И флаг "Приемка сырья" равен 'Нет'
	И флаг "Приемка сырья (молочное)" равен 'Нет'
	И флаг "Производство" равен 'Да'
	И флаг "Производство (молочное)" равен 'Нет'
	И флаг "Производство (мясное)" равен 'Нет'
	И флаг "Автоматизация работы водителей электрокаров" равен 'Да'
	И флаг "Рабочее место сыродела ТСД" равен 'Нет'
	И флаг "Расчет сдельной заработной платы" равен 'Нет'
	И флаг "Контроль качества продукции и сырья" равен 'Нет'
	И флаг "Расчет сырьевой себестоимости" равен 'Нет'
	И флаг "Интерпретация учета в ГИСМ" равен 'Нет'
	И флаг "OPC" равен 'Нет'
	И флаг "Складская логистика" равен 'Нет'
	И флаг "Транспортная логистика" равен 'Нет'
	И флаг "Трейд-маркетинг" равен 'Нет'
	И флаг "Управление продажами" равен 'Нет'
	И флаг "Ценообразование" равен 'Нет'
	И флаг "Интеграция с ГИС Меркурий" равен 'Нет'
	И флаг "Управление процессами" равен 'Нет'
	И Я закрываю окно 'Лицензирование'
	И Я закрыл все окна клиентского приложения